Subject: RE: Comments on draft-ietf-smime-rfc2632bis-05.txt

From: "Blake Ramsdell" <[email-masked]>
Date: Thu, 6 May 2004 01:20:45 -0700

> -----Original Message-----
> From: Jim Schaad [mailto:[email-masked]] 
> Sent: Monday, March 08, 2004 1:29 PM
> To: 'Blake Ramsdell'
> Cc: Ietf-Smime
> Subject: Comments on draft-ietf-smime-rfc2632bis-05.txt
> 
> 1.  Section 2.2.1:  In the following text,  I have a problem 
> with "PKIX" as
> oppose to X.509 Identity Certificates, esp as PKIX now has a 
> definition for
> ACs.

Switched to PKIX.

> 2.  Section 2.2.1, p 3: s/suerceded/superseded/ --- I didn't 
> believe it but
> I looked it up.

Fixed.

> 3.  Section 2.3:  The following statements don't agree:
> 
> Receiving agents MUST be able to handle an arbitrary number of
> certificates of arbitrary relationship to the message sender and to
> each other in arbitrary order. 
> 
> A receiving agent
> SHOULD be able to handle an arbitrarily large number of certificates
> and chains.

Switched to MUST.

> 5. Section 3:  Please define the type of field for 
> pkcs-9-at-emailAddress.
> (I think it's IA5 string but can't swear to it off the top of 
> my head.)

It is indeed IA5String. Added:

Note that this attribute MUST be encoded as IA5String.

> 6.  Section 5: s/noticable/noticeable/

Fixed.

> 7.  Section 5: s/message,if/message, if/

Fixed.

Blake